Skip to content

Get logs for a Function

GET
/api/v1/faas/logs/{function_id}/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/faas/logs/{function_id}/?type=<TYPE>&duration=<DURATION>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Retrieves logs of the specified function based on type and duration.

function_id
required
integer

Function ID

type
required

The type of logs to retrieve.

string

Example

function
duration
required

Duration in minutes for which the logs are required.

integer

Example

5
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Successfully retrieved logs.

Media typeapplication/json
object
code
integer
data
object
logs
string
scroll_id
string
nullable
errors
object
message
string

Example

{
"code": 200,
"data": {
"logs": "",
"scroll_id": null
},
"errors": {},
"message": "Success"
}